# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LinearInterpolatorFVec4 Class Reference

Interpolates vl::fvec4 values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorFVec4:

List of all members.

## Public Member Functions

| LinearInterpolatorFVec4 ()
| LinearInterpolatorFVec4 (const std::vector< vl::fvec4 > &path)
vl::fvec4 | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorFVec4_T * | interpolator ()
const LinearInterpolatorFVec4_T * | interpolator () const
void | setInterpolator (LinearInterpolatorFVec4_T *interpolator)

## Protected Attributes

vl::ref < LinearInterpolatorFVec4_T > | mInterpolator

## Detailed Description

Interpolates vl::fvec4 values using a LinearInterpolator.

## Constructor & Destructor Documentation

vl::LinearInterpolatorFVec4::LinearInterpolatorFVec4 | ( |  | ) | `[inline]`

vl::LinearInterpolatorFVec4::LinearInterpolatorFVec4 | ( | const std::vector< vl::fvec4 > & | path | ) | `[inline]`

## Member Function Documentation

vl::fvec4 vl::LinearInterpolatorFVec4::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFVec4.

LinearInterpolatorFVec4_T* vl::LinearInterpolatorFVec4::interpolator | ( |  | ) | `[inline]`

const LinearInterpolatorFVec4_T* vl::LinearInterpolatorFVec4::interpolator | ( |  | ) | const`[inline]`

void vl::LinearInterpolatorFVec4::setInterpolator | ( | LinearInterpolatorFVec4_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<LinearInterpolatorFVec4_T> vl::LinearInterpolatorFVec4::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LinearInterpolator.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:36 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.